Skip to content

User state change
Webhook

Request

Triggered every time a user's state is updated.

  • Event type: users#state-change
  • Profile level subscriptions: Not Supported
  • Application level subscriptions: Supported

User state change transitions:

Possible previous_state and current_state values:

  • ACTIVE: The user's account is active.
  • WITHDRAW_ONLY: The user has 90 calendar days to remove their money from their balance before we fully close their account. This can be done through sending from their balance to themselves and others or spending with their card. The user still cannot order new cards, convert between balances, open and close balances, and download balance statements. After 90 calendar days, the account moves into a DEACTIVATED state.
  • DEACTIVATED: The user's account is deactivated and they cannot perform any actions on their account. The end-user tokens are revoked and you will receive a 401 Unauthorized response for API calls.
User state change flow diagram

Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.

See the Webhooks guide for setup instructions, signature verification, and best practices.

Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstring

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"4.0.0"
Example:"4.0.0"
Discriminator
subscription_idstring, (uuid)

ID of the webhook subscription that triggered this event.

Example:"f5b51f77-e14a-433b-9f7c-fc2834ffcff5"
event_typestring

Event type identifier

Example:"users#state-change"
sent_atstring, (date-time)

Timestamp when the event was sent.

Example:"2020-01-01T12:34:56.123Z"
dataobject
Payload
{ "schema_version": "4.0.0", "subscription_id": "f5b51f77-e14a-433b-9f7c-fc2834ffcff5", "event_type": "users#state-change", "sent_at": "2020-01-01T12:34:56.123Z", "data": { "resource": { "id": 1234, "type": "user" }, "previous_state": "ACTIVE", "current_state": "WITHDRAW_ONLY", "deactivation_type": "ACCOUNT_SUSPENSION", "deactivation_reason": "REQUESTED_BY_CUSTOMER_CS", "occurred_at": "2020-01-01T12:34:56.789Z" } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }